use Test::More qw(no_plan);
#$id$

BEGIN { use_ok( "JQPTest" ); }

my @tests = (
	# expected to work?
		# search,					# 'regex to match'
	
	[ 1, 'foo',        			'(foo)'],		# this is test #2
	[ 1, 'foo-bar',				'((foo) AND (bar))'],	#  handle dash like a space
	[ 1, 'not foo',				'(not (foo))'],
	[ 1, 'not not not foo',				'(not (not (not (foo))))'],
	[ 1, 'foo OR bar',			'((foo) OR (bar))'],
	[ 1, 'foo AND bar', 		'((foo) AND (bar))'],
	[ 1, 'foo AND bar OR baz',	'(((foo) AND (bar)) OR (baz))'],	# test #8
	[ 1, 'foo AND (bar OR baz)','((foo) AND ((bar) OR (baz)))'],
	[ 1, 'foo AND not bar',		'((foo) AND (not (bar)))'],
	[ 1, 'not foo-bar',			'(not ((foo) AND (bar)))'],
	[ 1, 'foo=bar-baz',			'(((foo) = (bar)) AND (baz))'],		# test #12
	[ 0, 'foo=(bar OR baz)',	'Parser: Error: parse error'],
	[ 1, 'foo=bar OR baz=bun',	'(((foo) = (bar)) OR ((baz) = (bun)))'],

	[ 0, 'AND OR not AND',		'Parser: Error: parse error'],
	[ 0, 'AND AND AND',			'Parser: Error: parse error'],
	[ 0, 'not',					'Parser: Error: parse error'],
);


for my $t (@tests) {
	my $q =  JQPTest::get_parsed_query( $$t[1] );
	# test query matches 'cannonical' version 
	my $test_name = "$$t[1] : $q";
	if ($$t[0]) {	# test is expected to succeed
		is(  $q, $$t[2], $test_name);		# this is the test name
	} else {
		TODO: {
			#local $TODO = "'JQP Parser not finished'";
		   todo_skip("'JQP Parser not finished'", 1);	#skip following test

			is( $q, $$t[2], "$test_name");		# this is the test name
		}
	}
}

__END__
=pod
=cut
1;

__END__
